### Method

# GUPnP ServiceProxyAction ref

since: 1.2.0

#### Declaration [src]

    GUPnPServiceProxyAction*
    gupnp_service_proxy_action_ref (
      GUPnPServiceProxyAction* action
    )

#### Description [src]

Increases reference count of `action`.

Available since: 1.2.0

#### Return value

Type: `GUPnPServiceProxyAction`

`action` with an increased reference count.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.